var ligaRedirect="";
var intMostrarRetro=0;

function cancelarEncuesta133()
{
    $("#cancelarEncuesta133").html('<i class="fa fa-spin fa-spinner"></i> Cargando...');
    var url = '../controllers/Encuesta133Controller.php';
    var $datos='&opc='+$('#opc').val()+'&userId='+$('#userId').val()+'&nombreAlumno='+$('#nombreAlumno').val();
    $.post(url,$datos,
        function (data)
        {
            if(data.type==='success'){
                mostrarMensajeGuardado("Reintentar el ejercicio", "Se reintentará el ejercicio.", "success", "Aceptar")
            }
            else
            {
                mostrarMensajeGuardado("Reintentar el ejercicio", "No se reintentará el ejercicio.", "error", "Aceptar")
            }
            document.getElementById("cancelarEncuesta133").disabled=false;
            $('#cancelarEncuesta133').html('<i class="fa fa-recycle"></i>&nbsp;Reintentar Ejercicio');
            ligaRedirect ="https://tiempo-mandarina.org/encuesta2/controllers/Encuesta133Controller.php?userId="+data.userId+"&nombreAlumno="+data.nombreAlumno+"&opc="+data.opc;
        }, 'json');
}

function pdfResultadoEncuesta133()
{
    $.ajax({
        url:"../controllers/Encuesta133Controller.php",
        // send the base64 post parameter
        data:{
            base64: imagenGrafica,
            opc:$('#opc2').val(),
            encuestaId: $('#encuestaId').val(),
            userId: $('#userId').val(),
            nombreAlumno: $('#nombreAlumno').val(),
        },
        // important POST method !
        type:"post",
        dataType: 'JSON',
    })
    .done(function( data, textStatus, jqXHR ) {
        window.open('https://tiempo-mandarina.org/encuesta2/views/resultadoencuesta133pdf.php?opc='+$('#opc').val()+'&userId='+$('#userId').val()+'&encuestaId='+$('#encuestaId').val()+'&nombreAlumno='+$('#nombreAlumno').val(),'_blank');
    });
}

function confirmarCancelacionEncuesta()
{
    Swal.fire({
        title: 'Reintentar el ejercicio',
        icon: 'warning',
        showCancelButton: true,
        html:
            '<b class="text-primary">&iquest;Realmente deseas reintentar el ejercicio?</b><br><br>' +
            'Recuerda que <strong>no</strong> vas a poder visualizar el resultado del ejercicio que acabas de realizar.',
        confirmButtonText: '<i class="fa fa-check"></i>&nbsp;Confirmar Reintento',
        confirmButtonColor: '#2A4494',
        cancelButtonText: '<i class="fa fa-close"></i>&nbsp;Cancelar',
    }).then((result) => {
        /* Read more about isConfirmed, isDenied below */
        if (result.isConfirmed) {
            cancelarEncuesta133();
        }
    })
}

function mostrarMensajeGuardado(titulo,texto,icon,button)
{
    Swal.fire({
        title: titulo,
        html: texto,
        icon: icon,
        confirmButtonColor: '#3085d6',
        confirmButtonText: '<i class="fa fa-close"> '+button,
        willClose: () => {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    }).then((result) => {
        if (result.isConfirmed) {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    })
}

function mostrarRetroalimentacion()
{
    if(intMostrarRetro==0)
    {
        $('#verRetroalimentacion').attr("style","visibility:visible")
        $('#mostrarRetroalimentacion133').attr('src','https://tiempo-mandarina.org/encuesta2/resources/images/bid_btn_ocultar-retro_off-01.png')
        $('#mostrarRetroalimentacion133').attr('onmouseover','this.src=\'https://tiempo-mandarina.org/encuesta2/resources/images/bid_btn_ocultar-retro_on-01.png\'')
        $('#mostrarRetroalimentacion133').attr('onmouseout','this.src=\'https://tiempo-mandarina.org/encuesta2/resources/images/bid_btn_ocultar-retro_off-01.png\'')
        intMostrarRetro=1;
    }
    else
    {
        $('#verRetroalimentacion').attr("style","visibility:hidden")
        $('#mostrarRetroalimentacion133').attr('src','https://tiempo-mandarina.org/encuesta2/resources/images/bid_btn_ver-retro_off-01.png')
        $('#mostrarRetroalimentacion133').attr('onmouseover','this.src=\'https://tiempo-mandarina.org/encuesta2/resources/images/bid_btn_ver-retro_on-01.png\'')
        $('#mostrarRetroalimentacion133').attr('onmouseout','this.src=\'https://tiempo-mandarina.org/encuesta2/resources/images/bid_btn_ver-retro_off-01.png\'')
        intMostrarRetro=0;
    }

}